API referenceCompliance
Get compliance settings
GET
Quiet hours, the transactional exemption and the maximum API call length. Changed in the console (Settings → Compliance).
ApiKeyheader
AuthorizationBearer <token>An API key from Developers → API keys: Authorization: Bearer gauge_live_… (or pulse_k_live_…).
Gauge-Version?stringA dated version. Default 2026-10-21.
The settings.
application/json- response
quietHours*allowTransactionalInQuietHours*booleanapiCallMaxSeconds*integerRange
60 <= value <= 14400smsStopReply*string|nullsmsHelpReply*string|nullcurl -X GET 'https://app.gauge.chat/backend/v2/compliance/settings'Example Response
{ "quietHours": { "enabled": true, "start": "string", "end": "string" }, "allowTransactionalInQuietHours": true, "apiCallMaxSeconds": 60, "smsStopReply": "string", "smsHelpReply": "string"}